summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCecil Hugh Watson <knoppmyth@gmail.com>2009-02-20 07:36:44 (GMT)
committerCecil Hugh Watson <knoppmyth@gmail.com>2009-02-20 07:36:44 (GMT)
commitb0f573c9514adfdb2c39fa917e44eb9adcc44999 (patch)
treef3f1c944a714cfb884eabd8b87ff4cec2051550a
parent49b49411dfb58351f630192307482f7b35bb992d (diff)
downloadlinhes_pkgbuild-b0f573c9514adfdb2c39fa917e44eb9adcc44999.zip
linhes_pkgbuild-b0f573c9514adfdb2c39fa917e44eb9adcc44999.tar.gz
linhes_pkgbuild-b0f573c9514adfdb2c39fa917e44eb9adcc44999.tar.bz2
Initial support for TatIR.
-rw-r--r--abs/extra-testing/pyusb/PKGBUILD16
-rw-r--r--abs/extra-testing/tatir/PKGBUILD21
-rw-r--r--abs/extra-testing/tatir/tatir.install18
-rw-r--r--abs/extra-testing/tatir/tatir.tar.bz2bin0 -> 4475 bytes
-rw-r--r--abs/extra-testing/xautomation/PKGBUILD18
5 files changed, 73 insertions, 0 deletions
diff --git a/abs/extra-testing/pyusb/PKGBUILD b/abs/extra-testing/pyusb/PKGBUILD
new file mode 100644
index 0000000..1922cd8
--- /dev/null
+++ b/abs/extra-testing/pyusb/PKGBUILD
@@ -0,0 +1,16 @@
+# Contributor: Jason Giangrande <jgiangrande@clarku.edu>
+pkgname=pyusb
+pkgver=0.4.1
+pkgrel=1
+pkgdesc="A native Python module written in C which provides USB access."
+arch=('i686' 'x86_64')
+url="http://pyusb.berlios.de/"
+license=('GPL')
+depends=('python' 'libusb')
+source=(http://downloads.sourceforge.net/pyusb/pyusb-$pkgver.tar.gz)
+md5sums=('9576c3e471e40e021fa44f36712bbd04')
+
+build() {
+ cd $startdir/src/$pkgname-$pkgver
+ python setup.py install -f --root=$startdir/pkg || return 1
+}
diff --git a/abs/extra-testing/tatir/PKGBUILD b/abs/extra-testing/tatir/PKGBUILD
new file mode 100644
index 0000000..d649161
--- /dev/null
+++ b/abs/extra-testing/tatir/PKGBUILD
@@ -0,0 +1,21 @@
+# $Id: PKGBUILD 5936 2008-07-21 20:24:16Z thomas $
+# Maintainer: Cecil Watson<knoppmyth@gmail.com>
+
+pkgname=tatir
+pkgver=1
+pkgrel=1
+pkgdesc="tatIR, the Linux media remote control."
+arch=('i686' 'x86_64')
+license=('GPL2')
+url="http://tatir.dropthetranny.com/"
+depends=('pyusb' 'xautomation')
+source=('tatir.tar.bz2')
+install=tatir.install
+build() {
+ mkdir -p $pkgdir/usr/bin
+ mkdir -p $pkgdir/etc/tatir
+ mkdir -p $pkgdir/etc/sv/tatir/supervise
+ cp *.py $pkgdir/usr/bin
+ cp remote_xte.conf $pkgdir/etc/tatir/
+ cp run $pkgdir/etc/sv/tatir/
+}
diff --git a/abs/extra-testing/tatir/tatir.install b/abs/extra-testing/tatir/tatir.install
new file mode 100644
index 0000000..86a96ba
--- /dev/null
+++ b/abs/extra-testing/tatir/tatir.install
@@ -0,0 +1,18 @@
+# arg 1: the new package version
+post_install() {
+ add_service.sh tatir
+}
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ /bin/true
+}
+
+# arg 1: the old package version
+post_remove() {
+ remove_service.sh tatir
+}
+
+op=$1
+shift
+$op $*
diff --git a/abs/extra-testing/tatir/tatir.tar.bz2 b/abs/extra-testing/tatir/tatir.tar.bz2
new file mode 100644
index 0000000..45e229f
--- /dev/null
+++ b/abs/extra-testing/tatir/tatir.tar.bz2
Binary files differ
diff --git a/abs/extra-testing/xautomation/PKGBUILD b/abs/extra-testing/xautomation/PKGBUILD
new file mode 100644
index 0000000..6151353
--- /dev/null
+++ b/abs/extra-testing/xautomation/PKGBUILD
@@ -0,0 +1,18 @@
+# Contributor: raubkopierer <mail[dot]sensenmann[at]gmail[dot]com>
+
+pkgname=xautomation
+pkgver=1.02
+pkgrel=2
+pkgdesc="Controls X from the command line for scripts, and do 'visual scraping' to find things on the screen."
+url="http://hoopajoo.net/projects/xautomation.html"
+arch=('i686' 'x86_64')
+license=('GPL')
+source=(http://hoopajoo.net/static/projects/$pkgname-$pkgver.tar.gz)
+md5sums=('523198135f7cf7a5324189aef20ac48d')
+
+build() {
+ cd $startdir/src/$pkgname-$pkgver
+ ./configure --prefix=/usr
+ make || return 1
+ make DESTDIR=$startdir/pkg install
+}